Skip to content

List all variables

Returns all environment variables for the current organization. Secret values are masked.

GET
/v1/environment-variables

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Query Parameters

searchstring

Filter variables by key (case-insensitive partial match)

Maximum length: 256

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

OK

responseRequiredarray<object>
export type Response = EnvironmentVariableResponseDto[];
 
export interface EnvironmentVariableResponseDto {
  _id: string;
  _organizationId: string;
  key: string;
  type: "string";
  isSecret: boolean;
  /**
   * @minItems 0
   */
  values: EnvironmentVariableValueResponseDto[];
  createdAt: string;
  updatedAt: string;
}
export interface EnvironmentVariableValueResponseDto {
  _environmentId: string;
  /**
   * Value is masked (••••••••) for secret variables
   */
  value: string;
}
 
curl -X GET "https://api.novu.co/v1/environment-variables?search=string" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>"
[
  {
    "_id": "string",
    "_organizationId": "string",
    "key": "string",
    "type": "string",
    "isSecret": true,
    "values": [
      {
        "_environmentId": "string",
        "value": "string"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
]

On this page

No Headings
Edit this page on GitHub